Name:           mate-system-monitor
Version:        1.6.0
Release:        2%{?dist}
Summary:        Process and resource monitor

License:        GPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz

# upstream patches
Patch0:         mate-system-monitor_add-manpage.patch
Patch1:         mate-system-monitor_fix-indentation.patch
# upstream patch to fix rhbz (#888696)
# http://git.mate-desktop.org/mate-system-monitor/commit/?id=0eda7f51e3612b50da0985fa5399c99f446890db
Patch2:         mate-system-monitor_Check-if-cpu-color-key-exists.patch

BuildRequires: libgtop2-devel
BuildRequires: desktop-file-utils
BuildRequires: libmatewnck-devel
BuildRequires: gtk2-devel
BuildRequires: gtkmm24-devel
BuildRequires: rarian-compat
BuildRequires: mate-icon-theme-devel
BuildRequires: librsvg2-devel
BuildRequires: libxml2-devel
BuildRequires: mate-doc-utils
BuildRequires: mate-common
BuildRequires: dbus-glib-devel
BuildRequires: hardlink

Requires: mate-desktop


%description
mate-system-monitor allows to graphically view and manipulate the running
processes on your system. It also provides an overview of available resources
such as CPU and memory.

%prep
%setup -q
%patch0 -p1 -b .manpage
%patch1 -p1 -b .indentation
%patch2 -p1 -b .cpu-color
NOCONFIGURE=1 ./autogen.sh

%build
%configure \
        --disable-static \
        --disable-scrollkeeper 

make %{?_smp_mflags} V=1


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  $RPM_BUILD_ROOT%{_datadir}/applications/mate-system-monitor.desktop

# save space by linking identical images in translated docs
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/mate/help/%{name}

# remove needless gsettings convert file
rm -f  $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/mate-system-monitor.convert

%find_lang %{name}

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS NEWS COPYING README
%{_bindir}/mate-system-monitor
%{_datadir}/applications/mate-system-monitor.desktop
%{_datadir}/pixmaps/mate-system-monitor
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.*.xml
%{_datadir}/mate/help/mate-system-monitor/
%{_mandir}/man1/mate-system-monitor.1.*
%{_datadir}/omf/mate-system-monitor/


%changelog
* Fri Jul 26 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-2
- add upstream patch to fix rhbz (#888696)
- add upstream patch to add manpages
- clean up BRs
- use hardlink to save space by linking identical images in translated docs
- remove --with-gnome find language flag
- remove needless gsettings convert file

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Sun Mar 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> 1.5.1-1
- Latest upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-2
- drop deprecated mate-vfs BR

* Thu Nov 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release

* Fri Oct 19 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-2
- add build requires libxml2-devel

* Thu Oct 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- Initial build

